! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

  module Swap_Reals_M
    implicit none
    public :: Swap
  contains
    subroutine Swap( X, Y )
      real, intent (in out) :: X, Y
      real :: Aux
!  start subroutine Swap
      Aux = X
      X = Y
      Y = Aux
      return
    end subroutine Swap
  end module Swap_Reals_M
